#include "EtherDATA.h"
#include "sysGpio.h"
#include "led.h"
#define led_PWM 10

UInt8 count;


DefineTimer(pwmTimer);
void pwmTimerHandler(TIMER e, word led)
	{
	GPIO.XOR(led);
	}

DefineTimer(ledDelayTimer);
void ledDelayTimerHandler(TIMER e, word led)
	{
	cmStopTimer(pwmTimer);
	GPIO.SET(led, 0);
	}

void ledOn(word led, word delay)
	{
	cmStartTimer(pwmTimer, led);
	cmSetTimer(ledDelayTimer, TICKS(delay));
	cmStartTimer(ledDelayTimer, led);
	}

void initLED()
	{
	objectCreate(ledDelayTimer, kSingleShotTimer, TICKS(200));// once per second
	OnEvent(ledDelayTimer, (HANDLER) ledDelayTimerHandler);
	objectCreate(pwmTimer, kIntervalTimer, TICKS(10));
	OnEvent(pwmTimer, (HANDLER) pwmTimerHandler);
	}



STATUS ledRequest(OBJECT o, bool isArray, byte index)
	{
	dbValue led = (dbValue)o;
	byte request;
	printf("ledREQUEST...\n");
	dbGet(led, &request);
	if (request >= '0')
		{
		request = request - '0';
		}
	debug(">>%s - request %u\n", __func__, request);

	switch (request)
		{
		case 0:
				{
				//cmStartTimer(configDeviceLEDTimer, led);
				ledOn(LED_RED, 5000);
				break;
				}
		case 1:
				{
				//cmStopTimer(configDeviceLEDTimer);
				for (int x = 0; x < 3; x ++)
					{
					ledOn(LED_RED, 5000);
					}
				break;
				}
		}
	/*if (request < sizeofLedList)
		ledBlink(ledList[request]);*/

	return 0;
	}